package com.kingdee.eas.custom.compensation;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractHandMacDepositEntryInfo extends com.kingdee.eas.hr.base.HRBillBaseEntryInfo implements Serializable 
{
    public AbstractHandMacDepositEntryInfo()
    {
        this("id");
    }
    protected AbstractHandMacDepositEntryInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 分录 's 单据头 property 
     */
    public com.kingdee.eas.custom.compensation.HandMacDepositInfo getBill()
    {
        return (com.kingdee.eas.custom.compensation.HandMacDepositInfo)get("bill");
    }
    public void setBill(com.kingdee.eas.custom.compensation.HandMacDepositInfo item)
    {
        put("bill", item);
    }
    /**
     * Object: 分录 's 员工 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getPerson()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("person");
    }
    public void setPerson(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("person", item);
    }
    /**
     * Object:分录's 生效日期property 
     */
    public java.util.Date getBizDate()
    {
        return getDate("bizDate");
    }
    public void setBizDate(java.util.Date item)
    {
        setDate("bizDate", item);
    }
    /**
     * Object:分录's 备注property 
     */
    public String getDescription()
    {
        return getString("description");
    }
    public void setDescription(String item)
    {
        setString("description", item);
    }
    /**
     * Object: 分录 's 所属行政组织 property 
     */
    public com.kingdee.eas.basedata.org.AdminOrgUnitInfo getAdminOrg()
    {
        return (com.kingdee.eas.basedata.org.AdminOrgUnitInfo)get("adminOrg");
    }
    public void setAdminOrg(com.kingdee.eas.basedata.org.AdminOrgUnitInfo item)
    {
        put("adminOrg", item);
    }
    /**
     * Object: 分录 's 职位 property 
     */
    public com.kingdee.eas.basedata.org.PositionInfo getPosition()
    {
        return (com.kingdee.eas.basedata.org.PositionInfo)get("position");
    }
    public void setPosition(com.kingdee.eas.basedata.org.PositionInfo item)
    {
        put("position", item);
    }
    /**
     * Object:分录's 押金收取周期property 
     */
    public java.util.Date getDepositCollectCycle()
    {
        return getDate("depositCollectCycle");
    }
    public void setDepositCollectCycle(java.util.Date item)
    {
        setDate("depositCollectCycle", item);
    }
    /**
     * Object:分录's 押金收取单位property 
     */
    public String getDepositCollectUnit()
    {
        return getString("depositCollectUnit");
    }
    public void setDepositCollectUnit(String item)
    {
        setString("depositCollectUnit", item);
    }
    /**
     * Object:分录's 收取押金金额property 
     */
    public java.math.BigDecimal getDepositAmount()
    {
        return getBigDecimal("depositAmount");
    }
    public void setDepositAmount(java.math.BigDecimal item)
    {
        setBigDecimal("depositAmount", item);
    }
    /**
     * Object:分录's 押金退还周期property 
     */
    public java.util.Date getDepositRefundCycle()
    {
        return getDate("depositRefundCycle");
    }
    public void setDepositRefundCycle(java.util.Date item)
    {
        setDate("depositRefundCycle", item);
    }
    /**
     * Object:分录's 押金退还单位property 
     */
    public String getDepositRefundUnit()
    {
        return getString("depositRefundUnit");
    }
    public void setDepositRefundUnit(String item)
    {
        setString("depositRefundUnit", item);
    }
    /**
     * Object:分录's 退还押金金额property 
     */
    public java.math.BigDecimal getDepositRefundAmount()
    {
        return getBigDecimal("depositRefundAmount");
    }
    public void setDepositRefundAmount(java.math.BigDecimal item)
    {
        setBigDecimal("depositRefundAmount", item);
    }
    /**
     * Object: 分录 's 收取单位 property 
     */
    public com.kingdee.eas.basedata.org.AdminOrgUnitInfo getCollectUnit()
    {
        return (com.kingdee.eas.basedata.org.AdminOrgUnitInfo)get("collectUnit");
    }
    public void setCollectUnit(com.kingdee.eas.basedata.org.AdminOrgUnitInfo item)
    {
        put("collectUnit", item);
    }
    /**
     * Object: 分录 's 退还单位 property 
     */
    public com.kingdee.eas.basedata.org.AdminOrgUnitInfo getRefundUnit()
    {
        return (com.kingdee.eas.basedata.org.AdminOrgUnitInfo)get("refundUnit");
    }
    public void setRefundUnit(com.kingdee.eas.basedata.org.AdminOrgUnitInfo item)
    {
        put("refundUnit", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("B42995EB");
    }
}